View Issue Details

IDProjectCategoryView StatusLast Update
0029435CommunityOCCT:Data Exchangepublic2022-04-16 15:35
Reporterziaulazam Assigned Toatychini  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformMinGW-w64OSWindows 
Product Version7.3.0 
Target Version7.7.0 
Summary0029435: Data Exchange - Exporting wires consisting of more than one edge results in loss of color data in IGES
DescriptionConsider a case where two wires are exported to an IGES file using IGESControl_writer. One Wire consists of two or more edges and the other consists of one edge only. During export, same names and colors are assigned to the corresponding IGESData_IGESEntity of each wire.

However, when the two wires are imported using IGESControl_Reader and their corresponding IGESData_IGESEntity are also fetched then the names are present as they were exported but the color data of the wire with two or more edges is not retrieved.

An example source code is provided to reproduce the explained problem.
Steps To Reproduce
pload ALL

vertex v1 -25 0 0
vertex v2 -25 -7.5 0
edge e1 v1 v2

point p2 -25 -7.5 0
point p3 0 -15 0
point p4 25 -7.5 0
catch {gcarc arc cir p2 p3 p4}
mkedge e2 arc

wire w1 e1 e2

XNewDoc D
XAddShape D w1 1
XSetColor D 0:1:1:1 128 128 0

WriteIges D c:/29435.igs
ReadIges D1 c:/29435.igs

DFB D1

Original scenario:
#include <TopoDS_Edge.hxx>
#include <TopoDS_Wire.hxx>
#include <TopExp_Explorer.hxx>
#include <BRepBuilderAPI_MakeEdge.hxx>
#include <BRepBuilderAPI_MakeWire.hxx>
#include <GC_MakeSegment.hxx>
#include <IGESControl_Controller.hxx>
#include <Interface_Static.hxx>
#include <XSControl_WorkSession.hxx>
#include <XSControl_TransferReader.hxx>
#include <IGESGraph_Color.hxx>
#include <IGESData_IGESEntity.hxx>
#include <IGESCAFControl.hxx>
#include <IGESBasic_Name.hxx>
#include <BRepToIGES_BREntity.hxx>
#include <IGESControl_Writer.hxx>
#include <IGESControl_Reader.hxx>
#include <Quantity_Color.hxx>

#include <vector>

int main(int argc, char* argv[])
{
    const std::string filePath = "C://Test.igs";

//////// GENERATING TEST SHAPES //////////////////
    TopoDS_Edge singleEdge = BRepBuilderAPI_MakeEdge(
            GC_MakeSegment(gp_Pnt(30., 0., 0.), gp_Pnt(30., 10., 0.)).Value());
    TopoDS_Wire singleEdgeWire =
            BRepBuilderAPI_MakeWire(singleEdge).Wire();


    TopoDS_Edge edge1 = BRepBuilderAPI_MakeEdge(
            GC_MakeSegment(gp_Pnt(60., 0., 0.), gp_Pnt(60., 10., 0.)).Value());
    TopoDS_Edge edge2 = BRepBuilderAPI_MakeEdge(
            GC_MakeSegment(gp_Pnt(60., 10., 0.), gp_Pnt(70., 10., 0.)).Value());
    TopoDS_Wire halfSquareWire =
            BRepBuilderAPI_MakeWire(edge1, edge2).Wire();

    std::vector<TopoDS_Wire> wires { singleEdgeWire, halfSquareWire };

//////// WRITING TO THE IGES FILE //////////////////
    IGESControl_Writer writer;

    BRepToIGES_BREntity shapeConverter;
    shapeConverter.SetModel(writer.Model());

    for (unsigned int index = 0; index < wires.size(); ++index)
    {
        Handle(IGESData_IGESEntity) entity
                = shapeConverter.TransferShape(wires.at(index));
        Standard_Integer rank = IGESCAFControl::EncodeColor(Quantity_NOC_RED);


        Handle(IGESGraph_Color) color;
        entity->InitColor(color, rank);

        std::cout << "Color rank of wire that has been written: "
                << entity->RankColor() << std::endl;

        Handle(TCollection_HAsciiString) label =
                new TCollection_HAsciiString(new TCollection_HAsciiString("Named Wire"));

        // SetLabel(...) is not used as it does not support long names (> 8 chars)
        Handle(IGESBasic_Name) longNameEntity = new IGESBasic_Name();
        longNameEntity->Init(1, label);

        entity->AddProperty(longNameEntity);
        writer.AddEntity(longNameEntity);

        writer.AddEntity(entity);
    }


    writer.ComputeModel();

    writer.Write(filePath.c_str());


//////// READING THE EXPORTED FILE //////////////////

    IGESControl_Reader reader;
    reader.ReadFile(filePath.c_str());

    int rootsNumber = reader.NbRootsForTransfer();
    for (Standard_Integer rootIndex = 1; rootIndex <= rootsNumber; ++rootIndex)
    {
        reader.TransferOneRoot(rootIndex);
    }

    std::vector<TopoDS_Shape> shapes;
    int shapesNumber = reader.NbShapes();

    if (shapesNumber > 0)
    {
        for (int shapeIndex = 1; shapeIndex <= shapesNumber; ++shapeIndex)
        {
            TopoDS_Shape shape = reader.Shape(shapeIndex);
            shapes.push_back(shape);
        }
    }

    const Handle(XSControl_WorkSession)& workSession = reader.WS();
    const Handle(XSControl_TransferReader)& transferReader =
            workSession->TransferReader();

    for (auto& shape : shapes)
    {
        const Handle(IGESData_IGESEntity)& shapeEntity =
                Handle(IGESData_IGESEntity)::DownCast(
                        transferReader->EntityFromShapeResult(shape, -1));

        TCollection_HAsciiString shapeName = shapeEntity->NameValue();

        std::cout << "Name during reading shape: " << shapeName.ToCString() << std::endl;

        int colorRank = shapeEntity->RankColor();

        std::cout << "Color Rank during reading shape: " << colorRank << std::endl;
    }

    return 0;
}
TagsNo tags attached.
Test case numberbugs/iges/bug29435, bugs/iges/bug29435_1

Relationships

related to 0026174 verifiedssafarov Open CASCADE Data Exchange, IGES - Loss of color after the second write of file 

Activities

git

2022-02-04 19:14

administrator   ~0106744

Branch CR29435 has been created by flatgern.

SHA-1: 273237b0f4d8c59bef4c84f5a71ea5685758322a


Detailed log of new commits:

Author: Aleksei TYCHININ
Date: Fri Feb 4 19:14:16 2022 +0300

    0029435: Data Exchange - Exporting wires consisting of more than one edge results in loss of color data in IGES
    Colors wasn't read correctly because of incorrect curve transfers in IGESToBRep_TopoCurve.cxx
    I added new calls to SetShapeResult() at the necessary places.
    Also in the IGESCAFControl_Writer.cxx I added new condition because of the possible NULL exception.

kgv

2022-02-04 19:16

developer   ~0106745

@flatgern

> 0029435: Data Exchange - Exporting wires consisting of more than one edge results in loss of color data in IGES
> Colors wasn't read correctly because of incorrect curve transfers in IGESToBRep_TopoCurve.cxx

While writing a git message - please don't forget to put an empty line between title and description, as otherwise most git clients interpret this as a single large title.

git

2022-02-04 19:29

administrator   ~0106746

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: fa0ae41e66b0a110193be0142315998c04cea6e5

git

2022-02-04 20:27

administrator   ~0106747

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: 743ab2a30d122b7adfcf96088237682a610c6816

git

2022-02-05 11:40

administrator   ~0106748

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: dfeb3cb1442e9f92ea19aa8e9dae5c6f2beef4fe

git

2022-02-07 14:41

administrator   ~0106778

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: 9ffe3a73fafa648ab501e10dc30669faf3e70185

git

2022-02-07 19:44

administrator   ~0106785

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: fa1eee2bf97cdc9e47ed3fd0db3362b5c4a078a1

git

2022-02-08 12:41

administrator   ~0106792

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: b07f5115e3c1cb9ca1416ad00a4ca9b4618a2b71

git

2022-02-08 18:09

administrator   ~0106802

Branch CR29435 has been updated forcibly by flatgern.

SHA-1: 4979f131295d3e694dcb3ff04c05da445987031d

git

2022-02-15 16:11

administrator   ~0106908

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 41c4121c8455d7347e65abd039996fe9aa72a0e4

git

2022-02-15 16:21

administrator   ~0106909

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 6fb7cec84e07ee24dc8a820228f3c25ef135a8d6

git

2022-02-15 16:33

administrator   ~0106910

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 35c4a93c31c0dbab19f269891c84e1367066cde5

atychini

2022-02-15 16:39

developer   ~0106911

Dear dpasukhi,
please review branch CR29435

All tests are OK, see:
http://jenkins-test-08.nnov.opencascade.com/view/CR29435-master-atychini/view/TESTING/job/CR29435-master-atychini-OCCT-Debian80-64-opt-test-restart/HTML_20Report/
http://jenkins-test-08.nnov.opencascade.com/view/CR29435-master-atychini/view/TESTING/job/CR29435-master-atychini-OCCT-Windows-64-VC14-opt-test-restart/1/HTML_20Report/
http://jenkins-test-08.nnov.opencascade.com/view/CR29435-master-atychini/view/COMPARE/

git

2022-02-15 18:10

administrator   ~0106912

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 9acc9a99fbf2a3582ed6a961a36da00df00aeb83

dpasukhi

2022-02-16 20:44

developer   ~0106936

I have some remarks:
@@ -1106,6 +1107,7 @@ TopoDS_Shape  IGESToBRep_TopoCurve::Transfer2dTopoBasicCurve
     Msg1156.Arg(label);
     SendFail(start,Msg1156);
     //AddFail(start, "2dTopoBasicCurve Transfer Error : Null Entity");
+    SetShapeResult(start, myshape);
     return  myshape;
   }

You bind empty Shape with iges entity. Please remove this.
-Close D D_Cope -silent
+catch {Close D D_Cope -silent}

-silent is the same with catch. Please remove the chenges

git

2022-02-17 15:29

administrator   ~0106946

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 307bb656446bce83c9400a764b6a66f94ae24c73

atychini

2022-02-17 18:46

developer   ~0106949

Dear dpasukhi,
please review branch CR29435

All tests are OK, see:
http://jenkins-test-occt.nnov.opencascade.com/view/CR29435-master-atychini/view/COMPARE/
http://jenkins-test-occt.nnov.opencascade.com/view/CR29435-master-atychini/view/TESTING/job/CR29435-master-atychini-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

dpasukhi

2022-02-18 17:26

developer   ~0106967

Please analyse "test bugs iges bug26047". There are regression. I think it can be incorrect color attaching (connect only to a part of the correct shape)

git

2022-02-22 13:25

administrator   ~0107028

Branch CR29435 has been updated forcibly by atychini.

SHA-1: b9140636c198a4209011100c35ee5c7cf986d14e

git

2022-02-24 12:51

administrator   ~0107051

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 8ae0e736992fe474560e0c0fc73bfa560372f059

git

2022-02-24 13:05

administrator   ~0107052

Branch CR29435 has been updated forcibly by atychini.

SHA-1: cc057aeb5d555dff664d2fa3c79e07cf4d4368b0

git

2022-02-24 13:51

administrator   ~0107053

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 7b572127142543e4c38ddbf1b2db7078cada5a58

git

2022-02-28 09:32

administrator   ~0107095

Branch CR29435 has been updated forcibly by atychini.

SHA-1: bb3b783f0db3d31618f77d981ad78e04c000eb64

atychini

2022-02-28 12:45

developer   ~0107099

Last edited: 2022-02-28 17:32

Dear dpasukhi,
please review branch CR29435

All tests are OK, see:
http://jenkins-test-occt.nnov.opencascade.com/view/CR29435-master-atychini/view/COMPARE/
http://jenkins-test-08.nnov.opencascade.com/view/CR29435-master-atychini/view/TESTING/job/CR29435-master-atychini-OCCT-Windows-64-VC14-opt-test-restart/5/HTML_20Report/
http://jenkins-test-08.nnov.opencascade.com/view/CR29435-master-atychini/view/TESTING/job/CR29435-master-atychini-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

git

2022-02-28 17:25

administrator   ~0107106

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 124d1f1678d26a3dcea65ef6d6f1db2368e8a7e9

dpasukhi

2022-03-03 16:46

developer   ~0107171

Last edited: 2022-03-03 16:46

Please check out the modified test cases, which now contain more warnings than before the fix.

git

2022-03-31 11:56

administrator   ~0107506

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 8b21b7aaa0aebc65cb2ca3ac4bbaead492854274

git

2022-04-07 13:07

administrator   ~0107679

Branch CR29435 has been updated forcibly by atychini.

SHA-1: bc1a91a8d03b7eb2fc3969e5b67b3e92cdcfdbcd

git

2022-04-07 16:26

administrator   ~0107725

Branch CR29435 has been updated forcibly by atychini.

SHA-1: bd6f17f5570db9f2b28f7a1610a866e3bbcbc37c

atychini

2022-04-07 16:38

developer   ~0107728

Dear dpasukhi,
please review branch CR29435

All tests are OK, see:
http://jenkins-test-occt.nnov.opencascade.com/view/CR29435-master-atychini/view/COMPARE/

git

2022-04-07 16:52

administrator   ~0107729

Branch CR29435 has been updated forcibly by atychini.

SHA-1: 45708be0e3124d60be30ff6baeb5e88cc0033757

git

2022-04-14 12:20

administrator   ~0107950

Branch CR29435 has been updated forcibly by atychini.

SHA-1: f71a086c995f24f688d45a87235fb9cfbcc73927

dpasukhi

2022-04-14 15:40

developer   ~0107958

Dear bugmaster,
please integrate CR29435.

The current fix resolved problems with forgotten layers and colors. Bug group de/iges has been updated with new Labels info.

OCCT: CR29435
PROD: NO

smoskvin

2022-04-16 11:35

administrator   ~0107998

Combination -
OCCT branch : IR-2022-04-15
master SHA - 879768fbf2e2c09089d7cd64a8f93b3c9c47d09c
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-15 SHA - db9f5fc1c0877a16922bb1bcbd006c614256ba97
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18524.440000000686 / 18453.560000000383 [+0.38%]
Products
Total CPU difference: 11765.190000000111 / 11767.510000000153 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 20542.0625 / 20540.40625 [+0.01%]
Products
Total CPU difference: 13266.890625 / 13255.140625 [+0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-16 15:35

administrator   ~0108002

Branch CR29435 has been deleted by mnt.

SHA-1: f71a086c995f24f688d45a87235fb9cfbcc73927

Related Changesets

occt: master 179fb346

2022-02-04 19:14:16

atychini


Committer: smoskvin Details Diff
0029435: Data Exchange - Exporting wires consisting of more than one edge results in loss of color data in IGES

Colors wasn't read correctly because of incorrect curve transfers in IGESToBRep_TopoCurve.cxx
I added new calls to SetShapeResult() at the necessary places.
Also in the IGESCAFControl_Writer.cxx I added new condition because of the possible NULL exception.
Affected Issues
0029435
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff File
mod - src/IGESToBRep/IGESToBRep_TopoCurve.cxx Diff File
mod - tests/bugs/iges/bug26047 Diff File
add - tests/bugs/iges/bug29435 Diff File
add - tests/bugs/iges/bug29435_1 Diff File
mod - tests/de/iges_1/A1 Diff File
mod - tests/de/iges_1/A2 Diff File
mod - tests/de/iges_1/A6 Diff File
mod - tests/de/iges_1/A7 Diff File
mod - tests/de/iges_1/A8 Diff File
mod - tests/de/iges_1/B1 Diff File
mod - tests/de/iges_1/B2 Diff File
mod - tests/de/iges_1/B3 Diff File
mod - tests/de/iges_1/B4 Diff File
mod - tests/de/iges_1/B5 Diff File
mod - tests/de/iges_1/B6 Diff File
mod - tests/de/iges_1/B7 Diff File
mod - tests/de/iges_1/B8 Diff File
mod - tests/de/iges_1/B9 Diff File
mod - tests/de/iges_1/C1 Diff File
mod - tests/de/iges_1/C3 Diff File
mod - tests/de/iges_1/C5 Diff File
mod - tests/de/iges_1/C7 Diff File
mod - tests/de/iges_1/C8 Diff File
mod - tests/de/iges_1/D1 Diff File
mod - tests/de/iges_1/D3 Diff File
mod - tests/de/iges_1/D4 Diff File
mod - tests/de/iges_1/D5 Diff File
mod - tests/de/iges_1/D6 Diff File
mod - tests/de/iges_1/D7 Diff File
mod - tests/de/iges_1/D8 Diff File
mod - tests/de/iges_1/E2 Diff File
mod - tests/de/iges_1/E3 Diff File
mod - tests/de/iges_1/E4 Diff File
mod - tests/de/iges_1/E5 Diff File
mod - tests/de/iges_1/E6 Diff File
mod - tests/de/iges_1/E7 Diff File
mod - tests/de/iges_1/E9 Diff File
mod - tests/de/iges_1/F1 Diff File
mod - tests/de/iges_1/F2 Diff File
mod - tests/de/iges_1/F4 Diff File
mod - tests/de/iges_1/F5 Diff File
mod - tests/de/iges_1/F6 Diff File
mod - tests/de/iges_1/F7 Diff File
mod - tests/de/iges_1/F9 Diff File
mod - tests/de/iges_1/G1 Diff File
mod - tests/de/iges_1/G7 Diff File
mod - tests/de/iges_1/G8 Diff File
mod - tests/de/iges_1/G9 Diff File
mod - tests/de/iges_1/H1 Diff File
mod - tests/de/iges_1/H2 Diff File
mod - tests/de/iges_1/H4 Diff File
mod - tests/de/iges_1/H5 Diff File
mod - tests/de/iges_1/H6 Diff File
mod - tests/de/iges_1/H7 Diff File
mod - tests/de/iges_1/H8 Diff File
mod - tests/de/iges_1/H9 Diff File
mod - tests/de/iges_1/I1 Diff File
mod - tests/de/iges_1/I2 Diff File
mod - tests/de/iges_1/I3 Diff File
mod - tests/de/iges_1/I4 Diff File
mod - tests/de/iges_1/I5 Diff File
mod - tests/de/iges_1/I6 Diff File
mod - tests/de/iges_1/I7 Diff File
mod - tests/de/iges_1/I8 Diff File
mod - tests/de/iges_1/I9 Diff File
mod - tests/de/iges_1/J1 Diff File
mod - tests/de/iges_1/J2 Diff File
mod - tests/de/iges_1/J3 Diff File
mod - tests/de/iges_1/J4 Diff File
mod - tests/de/iges_1/J5 Diff File
mod - tests/de/iges_1/J6 Diff File
mod - tests/de/iges_1/J7 Diff File
mod - tests/de/iges_1/J8 Diff File
mod - tests/de/iges_1/K1 Diff File
mod - tests/de/iges_1/K2 Diff File
mod - tests/de/iges_1/K3 Diff File
mod - tests/de/iges_1/K4 Diff File
mod - tests/de/iges_1/K5 Diff File
mod - tests/de/iges_1/K6 Diff File
mod - tests/de/iges_1/K7 Diff File
mod - tests/de/iges_1/K9 Diff File
mod - tests/de/iges_1/L1 Diff File
mod - tests/de/iges_1/L2 Diff File
mod - tests/de/iges_1/L3 Diff File
mod - tests/de/iges_1/L4 Diff File
mod - tests/de/iges_1/L6 Diff File
mod - tests/de/iges_1/L7 Diff File
mod - tests/de/iges_1/L8 Diff File
mod - tests/de/iges_1/L9 Diff File
mod - tests/de/iges_1/M1 Diff File
mod - tests/de/iges_1/M2 Diff File
mod - tests/de/iges_1/M3 Diff File
mod - tests/de/iges_1/M4 Diff File
mod - tests/de/iges_1/M5 Diff File
mod - tests/de/iges_1/M6 Diff File
mod - tests/de/iges_1/M7 Diff File
mod - tests/de/iges_1/M8 Diff File
mod - tests/de/iges_1/M9 Diff File
mod - tests/de/iges_1/N1 Diff File
mod - tests/de/iges_1/N2 Diff File
mod - tests/de/iges_1/N3 Diff File
mod - tests/de/iges_1/N4 Diff File
mod - tests/de/iges_1/N5 Diff File
mod - tests/de/iges_1/N6 Diff File
mod - tests/de/iges_1/N7 Diff File
mod - tests/de/iges_1/O1 Diff File
mod - tests/de/iges_1/O2 Diff File
mod - tests/de/iges_1/O3 Diff File
mod - tests/de/iges_1/O4 Diff File
mod - tests/de/iges_1/O5 Diff File
mod - tests/de/iges_1/O6 Diff File
mod - tests/de/iges_1/O7 Diff File
mod - tests/de/iges_1/O8 Diff File
mod - tests/de/iges_1/O9 Diff File
mod - tests/de/iges_1/P1 Diff File
mod - tests/de/iges_1/P2 Diff File
mod - tests/de/iges_1/P3 Diff File
mod - tests/de/iges_1/P4 Diff File
mod - tests/de/iges_1/P5 Diff File
mod - tests/de/iges_1/P6 Diff File
mod - tests/de/iges_1/P7 Diff File
mod - tests/de/iges_1/P9 Diff File
mod - tests/de/iges_1/Q1 Diff File
mod - tests/de/iges_1/Q2 Diff File
mod - tests/de/iges_1/Q3 Diff File
mod - tests/de/iges_1/Q4 Diff File
mod - tests/de/iges_1/Q5 Diff File
mod - tests/de/iges_1/Q6 Diff File
mod - tests/de/iges_1/Q7 Diff File
mod - tests/de/iges_1/Q8 Diff File
mod - tests/de/iges_1/Q9 Diff File
mod - tests/de/iges_1/R1 Diff File
mod - tests/de/iges_1/R2 Diff File
mod - tests/de/iges_1/R3 Diff File
mod - tests/de/iges_1/R4 Diff File
mod - tests/de/iges_1/R5 Diff File
mod - tests/de/iges_1/R6 Diff File
mod - tests/de/iges_1/R7 Diff File
mod - tests/de/iges_1/R8 Diff File
mod - tests/de/iges_2/A1 Diff File
mod - tests/de/iges_2/A2 Diff File
mod - tests/de/iges_2/A3 Diff File
mod - tests/de/iges_2/A4 Diff File
mod - tests/de/iges_2/A5 Diff File
mod - tests/de/iges_2/A6 Diff File
mod - tests/de/iges_2/A7 Diff File
mod - tests/de/iges_2/A8 Diff File
mod - tests/de/iges_2/A9 Diff File
mod - tests/de/iges_2/B1 Diff File
mod - tests/de/iges_2/B2 Diff File
mod - tests/de/iges_2/B3 Diff File
mod - tests/de/iges_2/B4 Diff File
mod - tests/de/iges_2/B5 Diff File
mod - tests/de/iges_2/B6 Diff File
mod - tests/de/iges_2/B7 Diff File
mod - tests/de/iges_2/B8 Diff File
mod - tests/de/iges_2/C1 Diff File
mod - tests/de/iges_2/C2 Diff File
mod - tests/de/iges_2/C3 Diff File
mod - tests/de/iges_2/C4 Diff File
mod - tests/de/iges_2/C5 Diff File
mod - tests/de/iges_2/C7 Diff File
mod - tests/de/iges_2/C8 Diff File
mod - tests/de/iges_2/C9 Diff File
mod - tests/de/iges_2/D1 Diff File
mod - tests/de/iges_2/D2 Diff File
mod - tests/de/iges_2/D3 Diff File
mod - tests/de/iges_2/D4 Diff File
mod - tests/de/iges_2/D5 Diff File
mod - tests/de/iges_2/D6 Diff File
mod - tests/de/iges_2/D7 Diff File
mod - tests/de/iges_2/D8 Diff File
mod - tests/de/iges_2/D9 Diff File
mod - tests/de/iges_2/E1 Diff File
mod - tests/de/iges_2/E2 Diff File
mod - tests/de/iges_2/E3 Diff File
mod - tests/de/iges_2/E4 Diff File
mod - tests/de/iges_2/E5 Diff File
mod - tests/de/iges_2/E6 Diff File
mod - tests/de/iges_2/E7 Diff File
mod - tests/de/iges_2/E8 Diff File
mod - tests/de/iges_2/E9 Diff File
mod - tests/de/iges_2/F1 Diff File
mod - tests/de/iges_2/F2 Diff File
mod - tests/de/iges_2/F3 Diff File
mod - tests/de/iges_2/F4 Diff File
mod - tests/de/iges_2/F5 Diff File
mod - tests/de/iges_2/F6 Diff File
mod - tests/de/iges_2/F7 Diff File
mod - tests/de/iges_2/F8 Diff File
mod - tests/de/iges_2/F9 Diff File
mod - tests/de/iges_2/G1 Diff File
mod - tests/de/iges_2/G2 Diff File
mod - tests/de/iges_2/G3 Diff File
mod - tests/de/iges_2/G5 Diff File
mod - tests/de/iges_2/G6 Diff File
mod - tests/de/iges_2/G7 Diff File
mod - tests/de/iges_2/G8 Diff File
mod - tests/de/iges_2/G9 Diff File
mod - tests/de/iges_2/H2 Diff File
mod - tests/de/iges_2/H3 Diff File
mod - tests/de/iges_2/H4 Diff File
mod - tests/de/iges_2/H5 Diff File
mod - tests/de/iges_2/H6 Diff File
mod - tests/de/iges_2/H7 Diff File
mod - tests/de/iges_2/H8 Diff File
mod - tests/de/iges_2/H9 Diff File
mod - tests/de/iges_2/I1 Diff File
mod - tests/de/iges_2/I2 Diff File
mod - tests/de/iges_2/I3 Diff File
mod - tests/de/iges_2/I4 Diff File
mod - tests/de/iges_2/I5 Diff File
mod - tests/de/iges_2/I6 Diff File
mod - tests/de/iges_2/I7 Diff File
mod - tests/de/iges_2/I8 Diff File
mod - tests/de/iges_2/I9 Diff File
mod - tests/de/iges_2/J1 Diff File
mod - tests/de/iges_3/A1 Diff File
mod - tests/de/iges_3/A2 Diff File
mod - tests/de/iges_3/A3 Diff File
mod - tests/de/iges_3/A4 Diff File
mod - tests/de/iges_3/A5 Diff File
mod - tests/de/iges_3/A6 Diff File
mod - tests/de/iges_3/A7 Diff File
mod - tests/de/iges_3/A8 Diff File
mod - tests/de/iges_3/A9 Diff File
mod - tests/de/iges_3/B1 Diff File
mod - tests/de/iges_3/B2 Diff File

Issue History

Date Modified Username Field Change
2018-01-18 15:08 ziaulazam New Issue
2018-01-18 15:08 ziaulazam Assigned To => gka
2018-01-18 15:32 ziaulazam Steps to Reproduce Updated
2019-07-10 22:05 abv Target Version 7.4.0 => 7.5.0
2020-09-17 19:59 gka Target Version 7.5.0 => 7.6.0
2021-10-18 14:02 kgv Target Version 7.6.0 => 7.7.0
2021-12-06 17:10 dpasukhi Relationship added related to 0026174
2022-02-04 19:14 git Note Added: 0106744
2022-02-04 19:16 kgv Note Added: 0106745
2022-02-04 19:26 dpasukhi Assigned To gka => user1100
2022-02-04 19:29 git Note Added: 0106746
2022-02-04 19:30 kgv Summary Exporting wires consisting of more than one edge results in loss of color data in IGES => Data Exchange - Exporting wires consisting of more than one edge results in loss of color data in IGES
2022-02-04 19:30 kgv Steps to Reproduce Updated
2022-02-04 19:32 user1100 Time allocated 4.2.2022: 20 h. => set
2022-02-04 19:38 user1100 Steps to Reproduce Updated
2022-02-04 20:27 git Note Added: 0106747
2022-02-04 20:29 dpasukhi Steps to Reproduce Updated
2022-02-04 20:30 dpasukhi Steps to Reproduce Updated
2022-02-04 20:31 dpasukhi Steps to Reproduce Updated
2022-02-05 11:40 git Note Added: 0106748
2022-02-07 14:41 git Note Added: 0106778
2022-02-07 19:44 git Note Added: 0106785
2022-02-08 12:27 dpasukhi Assigned To user1100 => dpasukhi
2022-02-08 12:27 dpasukhi Assigned To dpasukhi => AndreyLA
2022-02-08 12:41 git Note Added: 0106792
2022-02-08 12:53 bugmaster Assigned To AndreyLA => user1100
2022-02-08 18:09 git Note Added: 0106802
2022-02-10 11:34 dpasukhi Assigned To user1100 => user1110
2022-02-10 16:54 dpasukhi Assigned To user1110 => atychini
2022-02-12 09:47 atychini Time allocated 11.2.2022: 12 h. => set
2022-02-15 16:11 git Note Added: 0106908
2022-02-15 16:21 git Note Added: 0106909
2022-02-15 16:33 git Note Added: 0106910
2022-02-15 16:39 atychini Assigned To atychini => dpasukhi
2022-02-15 16:39 atychini Status new => resolved
2022-02-15 16:39 atychini Note Added: 0106911
2022-02-15 18:10 git Note Added: 0106912
2022-02-16 20:44 dpasukhi Assigned To dpasukhi => atychini
2022-02-16 20:44 dpasukhi Status resolved => assigned
2022-02-16 20:44 dpasukhi Note Added: 0106936
2022-02-17 15:29 git Note Added: 0106946
2022-02-17 18:46 atychini Assigned To atychini => dpasukhi
2022-02-17 18:46 atychini Status assigned => resolved
2022-02-17 18:46 atychini Note Added: 0106949
2022-02-18 17:26 dpasukhi Assigned To dpasukhi => atychini
2022-02-18 17:26 dpasukhi Status resolved => assigned
2022-02-18 17:26 dpasukhi Note Added: 0106967
2022-02-20 20:15 atychini Time allocated 20.2.2022: 10 h. => set
2022-02-22 13:25 git Note Added: 0107028
2022-02-24 12:51 git Note Added: 0107051
2022-02-24 13:05 git Note Added: 0107052
2022-02-24 13:51 git Note Added: 0107053
2022-02-27 15:27 atychini Time allocated 27.2.2022: 5 h. => set
2022-02-28 09:32 git Note Added: 0107095
2022-02-28 12:45 atychini Assigned To atychini => dpasukhi
2022-02-28 12:45 atychini Status assigned => resolved
2022-02-28 12:45 atychini Note Added: 0107099
2022-02-28 17:25 git Note Added: 0107106
2022-02-28 17:32 atychini Note Edited: 0107099
2022-03-03 16:46 dpasukhi Assigned To dpasukhi => atychini
2022-03-03 16:46 dpasukhi Status resolved => assigned
2022-03-03 16:46 dpasukhi Note Added: 0107171
2022-03-03 16:46 dpasukhi Note Edited: 0107171
2022-03-31 11:56 git Note Added: 0107506
2022-04-07 13:07 git Note Added: 0107679
2022-04-07 16:26 git Note Added: 0107725
2022-04-07 16:38 atychini Assigned To atychini => dpasukhi
2022-04-07 16:38 atychini Status assigned => resolved
2022-04-07 16:38 atychini Note Added: 0107728
2022-04-07 16:52 git Note Added: 0107729
2022-04-14 12:20 git Note Added: 0107950
2022-04-14 15:40 dpasukhi Assigned To dpasukhi => bugmaster
2022-04-14 15:40 dpasukhi Status resolved => reviewed
2022-04-14 15:40 dpasukhi Note Added: 0107958
2022-04-14 15:41 dpasukhi Test case number => bugs/iges/bug29435, bugs/iges/bug29435_1
2022-04-16 11:35 smoskvin Status reviewed => tested
2022-04-16 11:35 smoskvin Note Added: 0107998
2022-04-16 15:25 smoskvin Changeset attached => occt master 179fb346
2022-04-16 15:25 atychini Assigned To bugmaster => atychini
2022-04-16 15:25 atychini Status tested => verified
2022-04-16 15:25 atychini Resolution open => fixed
2022-04-16 15:35 git Note Added: 0108002